### File

`packages/ecl/components/ecl-featured/ecl-featured-item-link.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclFeaturedMediaAnchor]`

### Index

###### Properties
Readonly cssAnchor
###### Methods
getCssClasses
###### Inputs
eclFeaturedMediaAnchor class e2eAttr tabindex

### Inputs

eclFeaturedMediaAnchor
Type : `'left' | 'right' | '20%' | 'center' | undefined`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Readonly cssAnchor
Type : `unknown`
Default value : `computed(() => { const value = this.eclFeaturedMediaAnchor(); if (!value || value === 'center') { return null; } return value; })`

# results matching ""

# No results matching ""